#ifndef INCLUDE_STANDARD
#define INCLUDE_STANDARD

/* useful defines */

#define TRUE  1
#define FALSE 0

#define AND &&
#define OR ||

typedef unsigned char byte;

#define ANSI  TRUE

/* return codes for routine status */

typedef int funcstat;
#define OK -9
#define BAD -1
#define CANTFIND -2

#define NOMEM -3
#define OPENERR -4
#define READERR -5
#define WRITEERR -6
#define CLOSEERR -7
#define OVERFLW  -8

typedef unsigned char boolean;

/*  DAVID SMITH'S */

#define  loop     while (TRUE)

/* DAVID YAZEL'S */

#define begin   {
#define end     }

#define then
#define Isodd(x) ((x & 1 ) ==1)
#define ULONG unsigned long
#define UCHAR unsigned char 
#define UINT unsigned int

/* bit operations */

#define BITAND &
#define BITOR  |
#define BITXOR ^
#define ISBITSET(byte,bit) ((byte) BITAND (bit))
#define BITSET(byte,bit) {if (!ISBITSET(byte,bit)) byte = (byte BITXOR bit);}
#define BITCLR(byte,bit) {if (ISBITSET(byte,bit)) byte = (byte BITXOR bit);}

/* Constants used by fseek on some machines(Non ANSI compilers) */

#ifndef SEEK_SET
#define SEEK_SET 0
#endif
#ifndef SEEK_CUR
#define SEEK_CUR 1
#endif
#ifndef SEEK_END 
#define SEEK_END 2
#endif

#endif
